Overview | Modules | Class Hierarchy | Classes | Members

# GlShaderManager.h File Reference

`#include <GL/gl.h>`
`#include <string>`
`#include <map>`
`#include <tulip/tulipconf.h>`
`#include <tulip/Vector.h>`
`#include <tulip/Matrix.h>`
`#include <tulip/Color.h>`

Include dependency graph for GlShaderManager.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace tlp

## Classes

- class tlp::GlShaderManager
- class tlp::GlShaderProgram

## Defines

- #define printOpenGLError() printOGLError(__FILE__, __LINE__)

## Functions

- void printOGLError (const char *file, int line)

## Variables

- TLP_GL_SCOPE tlp::GlShaderProgram

## Define Documentation

#define printOpenGLError | (

)

printOGLError(__FILE__, __LINE__)

## Function Documentation

void printOGLError | ( | const char * | file,
|  | int | line
| ) |

Tulip Software by LaBRI Visualization Team 2001 - 2010